Apt update always shows grub "to update" but with 3 choices

Hi all!

When I do my daily apt update, I always have a grub update to do, but I'm presented with 3 choices and I don't know what to do with it.

The terminal messages are in French, I hope it's not a problem... I'm Canadian from Montreal in Quebec Province (french speaking).

I'm sure it's not a big deal to solve, I hope someone have seen this lately !

Thanks !

You can run in terminal

sudo apt upgrade

or

sudo apt dist-upgrade

Those packages are safe. You do not need to choose between them or anything.

I Aravisian,

That's the problem, it does'nt do anything... I've never seen this before, it's like it does not know what to do, and so the update always stays as mentioned when I do apt update.
See the commands and their effect in this new screenshot.

Thanks !

You can see that apt update says that 1 package can be updated, but the upgrade never do the job. That's why I show the list like apt ask me to with list --upgradable -a.

hmmm...
Try:

sudo apt install --only-upgrade grub-efi-amd64-bin

doale@Linux-iMac:~$     sudo apt install --only-upgrade grub-efi-amd64-bin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'Ă©tat... Fait
grub-efi-amd64-bin est déjà la version la plus récente (2.06-2ubuntu14.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
doale@Linux-iMac:~$ 

Does'nt work. Says it's already the newest version !

Are you on a macbook? Did you use rEFInd when you installed Zorin OS?

I know it's not "harmfull" to my system, but just... annoying.

iMac 2013 (Intel).

I'm using exclusively Linux, no Mac partition on my SSD.

(reason : I upgraded the SSD with a better one, and macOs was always crashing after 10 to 15 minutes, complaining about the Samsung SSD. Thank you Apple...)

(So no rEFInd needed)

1 Like

I am not sure on this one. Let's take some time to research it a bit.

I have a similar annoyance with Exaile that the dev included a dependency that cannot be met on Focal, but pushed the package to Focal - so it lists as upgradeable but cannot ever be upgraded.

1 Like

Can you run

sudo apt update

and post the full output here? You can use the </> icon on the toolbar of the post creation window to no-parse the output.

doale@Linux-iMac:~$ sudo apt update
[sudo] Mot de passe de doale :          
Atteint :1 http://ca.archive.ubuntu.com/ubuntu focal InRelease
Ign :2 http://dl.google.com/linux/chrome-remote-desktop/deb stable InRelease                                                               
RĂ©ception de :3 http://ca.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]                                                       
Atteint :4 https://linux.teamviewer.com/deb stable InRelease                                                                               
RĂ©ception de :5 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]                                                        
Atteint :6 http://ppa.launchpad.net/agornostal/ulauncher/ubuntu focal InRelease                                                            
Atteint :7 http://archive.canonical.com/ubuntu focal InRelease                                                                             
Atteint :8 https://dl.google.com/linux/chrome/deb stable InRelease                                                                         
RĂ©ception de :9 http://ca.archive.ubuntu.com/ubuntu focal-backports InRelease [108 kB]                                                     
RĂ©ception de :10 http://ca.archive.ubuntu.com/ubuntu focal-proposed InRelease [267 kB]                                                     
Atteint :11 http://ppa.launchpad.net/cappelikan/ppa/ubuntu focal InRelease                                                                 
Atteint :12 http://dl.google.com/linux/chrome-remote-desktop/deb stable Release                                                            
Atteint :13 https://packages.zorinos.com/stable focal InRelease                                                                            
Atteint :14 http://ppa.launchpad.net/mozillateam/ppa/ubuntu focal InRelease                                            
Atteint :15 https://packages.zorinos.com/patches focal InRelease      
Atteint :16 https://packages.zorinos.com/apps focal InRelease                         
Atteint :17 http://ppa.launchpad.net/pipewire-debian/pipewire-upstream/ubuntu focal InRelease
Atteint :18 https://packages.zorinos.com/drivers focal InRelease                      
RĂ©ception de :19 http://ca.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [274 kB]
Atteint :20 https://packages.zorinos.com/premium focal InRelease                                                                
RĂ©ception de :21 http://ca.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [940 B]                   
RĂ©ception de :22 http://ca.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [409 kB] 
Atteint :23 http://ppa.launchpad.net/solaar-unifying/stable/ubuntu focal InRelease                            
RĂ©ception de :25 http://ca.archive.ubuntu.com/ubuntu focal-backports/main amd64 DEP-11 Metadata [7 984 B]
RĂ©ception de :26 http://ca.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [30,5 kB]
RĂ©ception de :27 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages [280 kB]                               
Atteint :28 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu focal InRelease
RĂ©ception de :29 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main Translation-en [58,3 kB]             
RĂ©ception de :30 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main amd64 DEP-11 Metadata [9 364 B]              
Atteint :31 http://ppa.launchpad.net/ubuntuhandbook1/transmission/ubuntu focal InRelease                            
RĂ©ception de :32 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe i386 Packages [30,8 kB]    
RĂ©ception de :33 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [59,8 kB]                   
RĂ©ception de :34 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe amd64 Packages [54,5 kB]                            
RĂ©ception de :35 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe Translation-en [25,8 kB]                                      
RĂ©ception de :36 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe amd64 DEP-11 Metadata [1 072 B]                           
RĂ©ception de :37 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [940 B]                                 
RĂ©ception de :38 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [95,8 kB]
Atteint :39 http://ppa.launchpad.net/zorinos/apps/ubuntu focal InRelease                                       
Atteint :40 http://ppa.launchpad.net/zorinos/drivers/ubuntu focal InRelease                   
Atteint :41 http://ppa.launchpad.net/zorinos/patches/ubuntu focal InRelease
Atteint :42 http://ppa.launchpad.net/zorinos/stable/ubuntu focal InRelease
1 943 ko réceptionnés en 4s (550 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'Ă©tat... Fait
1 paquet peut ĂȘtre mis Ă  jour. ExĂ©cutez « apt list --upgradable » pour le voir.
doale@Linux-iMac:~$ 
Reception from:27 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages [280 kB]
Reception from:29 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main Translation-en [58,3 kB]
Reception from:30 http://ca.archive.ubuntu.com/ubuntu focal-proposed/main amd64 DEP-11 Metadata [9 364 B]
Reception of:32 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe i386 Packages [30,8 kB]
Reception of:34 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe amd64 Packages [54,5 kB]
Reception from:35 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe Translation-en [25,8 kB]
Reception of:36 http://ca.archive.ubuntu.com/ubuntu focal-proposed/universe amd64 DEP-11 Metadata [1 072 B]

You have Proposed Enabled.

Can you check Software & Updates - Show a screenshot of that open window?

1 Like

I unchecked the "suggested apps" (well, free translation from french), re-did apt update and upgrade, and now all is OK !

Thanks a lot, @Aravisian ! Since I'm using Zorin Linux, it's not the first time you help me and it is greatly appreciated.

1 Like

Yeah I was sitting here thinking - Maybe a repository was added that is offering more than one version.
I am embarrassed that it took me so long to think of checking your repos.
:stuck_out_tongue:

1 Like

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.